id: 240
createUser: admin
createTime: 2025-05-08T17:51:45.987776394Z
name: nodejsApp_Source_test-app-modi127.82.windup
kind: analyzer
addon: analyzer
extensions:
    - nodejs
state: Succeeded
priority: 10
data:
    mode:
        artifact: ""
        binary: false
        withDeps: false
    rules:
        labels:
            excluded: []
            included: []
        path: /rules
    scope:
        packages:
            excluded: []
            included: []
        withKnownLibs: false
    sources: []
    tagger:
        enabled: true
    targets: []
    verbosity: 0
application:
    id: 82
    name: nodejsApp_Source_test-app-modi127
bucket:
    id: 344
    name: ""
started: 2025-05-08T17:51:46.403650889Z
terminated: 2025-05-08T17:53:55.155947212Z
events:
    - kind: AddonSelected
      count: 1
      last: 2025-05-08T17:51:46.366884235Z
    - kind: ExtensionSelected
      count: 1
      reason: nodejs
      last: 2025-05-08T17:51:46.380773653Z
    - kind: PodCreated
      count: 1
      reason: openshift-mta/task-240-lh58w
      last: 2025-05-08T17:51:46.459158078Z
    - kind: PodPending
      count: 4
      reason: ContainerCreating
      last: 2025-05-08T17:51:48.592070789Z
    - kind: PodRunning
      count: 12
      last: 2025-05-08T17:52:01.480161327Z
    - kind: PodSucceeded
      count: 1
      last: 2025-05-08T17:52:01.480162299Z
    - kind: ContainerKilled
      count: 1
      reason: 'container: ''nodejs'' had not terminated.'
      last: 2025-05-08T17:52:01.578253904Z
    - kind: PodDeleted
      count: 1
      last: 2025-05-08T17:53:55.155860007Z
activity:
    - 'OptDir:    /addon/opt'
    - 'SharedDir: /shared'
    - 'CacheDir:  /cache'
    - 'SourceDir: /shared/source'
    - 'RuleDir:   /addon/rules'
    - 'BinDir:    /shared/bin'
    - 'M2Dir:     /cache/m2'
    - Fetching application.
    - '[CMD] Running: /usr/bin/ssh-agent -a /tmp/agent.1'
    - '[CMD] /usr/bin/ssh-agent succeeded.'
    - '[SSH] Agent started.'
    - '[GIT] Cloning: https://github.com/konveyor/analyzer-lsp'
    - '[FILE] Created /addon/.gitconfig.'
    - '[CMD] Running: /usr/bin/git clone --depth 1 https://github.com/konveyor/analyzer-lsp /shared/source/analyzer-lsp'
    - '[CMD] /usr/bin/git succeeded.'
    - '[RULESET] fetching: /rules'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/files /addon/rules/files'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[RULE] /addon/rules/files/ruleset.yaml not-found;created.'
    - '[CMD] Running: /usr/local/bin/konveyor-analyzer --provider-settings /addon/opt/settings.yaml --output-file /addon/issues.yaml --dep-output-file /addon/deps.yaml --no-dependency-rules --rules /addon/rules/files'
    - '[CMD] /usr/local/bin/konveyor-analyzer succeeded.'
    - '[TAG] Tagging Application 82.'
    - '[CMD] Running: /usr/bin/git rev-parse HEAD'
    - '[CMD] /usr/bin/git succeeded.'
    - 'Analysis 67 reported. duration: 25.081308ms'
    - Facts updated.
    - Done.
attached:
    - id: 2210
      name: ssh-agent.output
      activity: 9
    - id: 2211
      name: git.output
      activity: 14
    - id: 2212
      name: windup-shim.output
      activity: 17
    - id: 2213
      name: settings.yaml
      activity: 19
    - id: 2214
      name: konveyor-analyzer.output
      activity: 20
    - id: 2218
      name: git.output
      activity: 23
    - id: 2215
      name: addon.log
    - id: 2216
      name: nodejs.log
    - id: 2220
      name: pod.yaml
